Bug 1684698 - Capsule sync planning in foreman-tasks sometimes takes too long
Summary: Capsule sync planning in foreman-tasks sometimes takes too long
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.3.5
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 6.4.3
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 21:51 UTC by Mike McCune
Modified: 2019-10-30 17:14 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.48-1,tfm-rubygem-katello-3.7.0.51-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1673447
Environment:
Last Closed: 2019-04-29 18:15:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0903 0 None None None 2019-04-29 18:15:41 UTC

Comment 5 Lai 2019-04-11 19:35:11 UTC
Ran the less time consuming test steps from above.  For 100+ repos and 2 capsules sync, it took 29.59s for one capsule and 32.58s for the other.  Tested on 6.4.3_2.0.

Marking issue as verified.

Comment 7 errata-xmlrpc 2019-04-29 18:15:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0903


Note You need to log in before you can comment on or make changes to this bug.